Documentation Index
Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
0.015 credits per call
debug_traceCall on MegaETH: Traces a eth_call without producing a transaction.
debug_traceCall requires archive depth. See the debug & trace matrix for MegaETH archive coverage.Endpoint
Authorization: Bearer <YOUR_GOLDRUSH_API_KEY>. See authentication.
Parameters
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
callObject | Object | yes | Same shape as eth_call’s call object. | {"to":"0xa0b86991...","data":"0x70a08231..."} |
blockTag | QUANTITY | TAG | yes | Block number (hex) or block tag. | "latest" |
options | Object | no | Tracer config. See debug_traceTransaction. | {"tracer":"callTracer"} |
Returns
Object: Tracer-specific output.
Examples
Errors
Standard JSON-RPC errors:-32600 invalid request, -32601 method not found, -32602 invalid params.
Related Debug and trace methods on MegaETH
debug_traceTransactionon MegaETHdebug_traceBlockByHashon MegaETHdebug_traceBlockByNumberon MegaETHtrace_transactionon MegaETHtrace_blockon MegaETH